<template>
  <span class="sw-gs-icon sf-icon">
    <svg class="sf-icon-path"
         viewBox="0 0 24 24"
         preserveAspectRatio="none">
      <path fill="var(--icon-color)" fill-rule="evenodd" clip-rule="evenodd" d="M4 9C3.44772 9 3 9.44771 3 10C3 10.5523 3.44772 11 4 11C4.55228 11 5 10.5523 5 10C5 9.44771 4.55228 9 4 9ZM8 7H8.2457C8.69218 7 9.08457 6.70402 9.20722 6.27472L10.3783 2.17584C10.7463 0.887932 11.9235 0 13.2629 0H15.0228C16.6797 0 18.0228 1.34315 18.0228 3C18.0228 3.27875 17.984 3.55614 17.9074 3.82416L17 7H21C22.6569 7 24 8.34315 24 10V15C24 19.4183 20.4183 23 16 23H8C8 23.5523 7.55228 24 7 24H1C0.447715 24 0 23.5523 0 23V7C0 6.44772 0.447715 6 1 6H7C7.55228 6 8 6.44772 8 7ZM8 9V21H16C19.3137 21 22 18.3137 22 15V10C22 9.44771 21.5523 9 21 9H14.3485L15.9843 3.27472C16.0099 3.18538 16.0228 3.09292 16.0228 3C16.0228 2.44772 15.5751 2 15.0228 2H13.2629C12.8164 2 12.424 2.29598 12.3014 2.72528L11.1303 6.82416C10.7623 8.11207 9.58514 9 8.2457 9H8Z"/>
    </svg>
  </span>
</template>

<script lang="ts">
  export default {
    name: 'SwGsIconThumbsUp'
  }
</script>
